This discussion is archived
3 Replies Latest reply: Nov 18, 2012 5:54 AM by johnwanng RSS

Install Oracle eBusiness 12 on Oracle Linux 5.7

johnwanng Newbie
Currently Being Moderated
Hi All,

My name is John and I have some questions in relation to the installation of Oracle eBusiness 12 on Oracle Linusx 5.7 64bit. Here is what I've done so far:

- I installed Window 7 on my Macbook Pro Retina Display using Boot camp.
- I installed VMware Player 5.00 on the Window 7 host.
- I installed Oracle Linux 5.7 64bit Guest in the VMware Player 5.00
- I performed 'yum update' on the Oracle Linux 5.7 Guest
- When I ran 'uname -r' it returned '2.6.32-300.39.1.el5uek'
- I updated the latest Rapid Install patch as described in Oracle Applications Release Notes, Release 12.1.1 (My Oracle Support Document 798258.1) and now the RapidWizVersion returned is 12.1.1.13.


My question is in Moc 761566.1, it stated that the following packages must be installed from the Oracle Linux 5 or RHEL 5 distribution media on both application and database tiers:

•gcc-4.1.2-14.el5.x86_64
•gcc-c++-4.1.2-14.el5.x86_64
•glibc-2.5-18.i686 (32-bit)
•glibc-2.5-18.x86_64
•glibc-common-2.5-18.x86_64
•glibc-devel-2.5-18.i386 (32-bit)
•glibc-devel-2.5-18.x86_64
•libgcc-4.1.2-14.el5.i386
•libgcc-4.1.2-14.el5.x86_64
•libstdc++-devel-4.1.2-14.el5.i386
•libstdc++-devel-4.1.2-14.el5.x86_64
•libstdc++-4.1.2-14.el5.i386
•libstdc++-4.1.2-14.el5.x86_64
•libXi-1.0.1-3.1.i386
•libXp-1.0.0-8.1.el5.i386
•libXp-1.0.0-8.1.el5.x86_64
•libaio-0.3.106-3.2.i386
•libaio-0.3.106-3.2.x86_64
•libgomp-4.1.2-14.el5.x86_64
•make-3.81-1.1.x86_64
•gdbm-1.8.0-26.2.1.i386
•gdbm-1.8.0-26.2.1.x86_64
•sysstat-7.0.0-3.el5.x86_64
•util-linux-2.13-0.45.el5.x86_64
•compat-libstdc++-296-2.96-138.i386
•compat-libstdc++-33-3.2.3-61.i386

Since I'm not a Linux guru so I just ran a 'rpm -qa > all_rpm.txt' and open that output file and find whether I have all of those above installed rpms before installing Oracle eBusiness Suite.

First, I discovered that I do not have any 'gcc-c++-4.1.2-14.el5.x86_64' rpm installed on my Linux 5.7 64 bit guest system. Could you please advise how do I install this particular rpm because I thought after running the 'yum update' command, it would already have installed this rpm (gcc-c++-4.1.2-14.el5.x86_64) for me.

Also, is there any 'pre-test' that I can carry out to ensure that the Oracle eBusiness installation would be successful. Because in the past, I have attempted to install Oracle eBusiness twice but on both occasions, they have failed miserably with the Linux just hung and I have to perform the whole process again. Thank you for your assistance as I really want to have it installed on my Mac Book Pro successfully.

Regards,
John
  • 1. Re: Install Oracle eBusiness 12 on Oracle Linux 5.7
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    First, I discovered that I do not have any 'gcc-c++-4.1.2-14.el5.x86_64' rpm installed on my Linux 5.7 64 bit guest system. Could you please advise how do I install this particular rpm because I thought after running the 'yum update' command, it would already have installed this rpm (gcc-c++-4.1.2-14.el5.x86_64) for me.
    Issue "yum install gcc-c++-*" or "yum install gcc-c*" or "yum install gcc-c++-4.1.2-14.el5.x86_64".
    Also, is there any 'pre-test' that I can carry out to ensure that the Oracle eBusiness installation would be successful. Because in the past, I have attempted to install Oracle eBusiness twice but on both occasions, they have failed miserably with the Linux just hung and I have to perform the whole process again. Thank you for your assistance as I really want to have it installed on my Mac Book Pro successfully.
    You need to verify that all those packages are installed manually (using "rpm -qa <package name>" command) and you have other requirements (i.e. kernel settings, software requirements, ..etc). Also, please run md5sum as per (MD5 Checksums for R12.1.1 Rapid Install Media [ID 802195.1]) to verify the integrity of the stage area directory before you run Rapid Install.

    Thanks,
    Hussein
  • 2. Re: Install Oracle eBusiness 12 on Oracle Linux 5.7
    johnwanng Newbie
    Currently Being Moderated
    Hi Hussein,

    Thank you for the quick reply but here were that results when I followed your suggestion and I believe none of three have worked successfully and can you advise what I've done wrong or what I've forgotten to do, thank you for your assistance.

    1.) After I executed 'yum install gcc-c++-*'

    yum install gcc-c++-*
    Loaded plugins: rhnplugin, security
    This system is not registered with ULN.
    ULN support will be disabled.
    http://public-yum.oracle.com/repo/OracleLinux/OL5/latest/x86_64/repodata/repomd.xml: [Errno 4] IOError: <urlopen error (111, 'Connection refused')>
    Trying other mirror.
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
    --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
    --> Running transaction check
    ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
    http://public-yum.oracle.com/repo/OracleLinux/OL5/latest/x86_64/repodata/filelists.xml.gz: [Errno 4] IOError: <urlopen error (110, 'Connection timed out')>
    Trying other mirror.
    Error: failure: repodata/filelists.xml.gz from el5_latest: [Errno 256] No more mirrors to try.
    You could try using --skip-broken to work around the problem
    You could try running: package-cleanup --problems
    package-cleanup --dupes
    rpm -Va nofiles nodigest
    The program package-cleanup is found in the yum-utils package.



    2.) After I executed 'yum install gcc-c*'

    yum install gcc-c*
    Loaded plugins: rhnplugin, security
    This system is not registered with ULN.
    ULN support will be disabled.
    http://public-yum.oracle.com/repo/OracleLinux/OL5/latest/x86_64/repodata/repomd.xml: [Errno 4] IOError: <urlopen error (110, 'Connection timed out')>
    Trying other mirror.
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
    --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
    --> Running transaction check
    ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
    http://public-yum.oracle.com/repo/OracleLinux/OL5/latest/x86_64/repodata/filelists.xml.gz: [Errno 4] IOError: <urlopen error (110, 'Connection timed out')>
    Trying other mirror.
    Error: failure: repodata/filelists.xml.gz from el5_latest: [Errno 256] No more mirrors to try.
    You could try using --skip-broken to work around the problem
    You could try running: package-cleanup --problems
    package-cleanup --dupes
    rpm -Va nofiles nodigest
    The program package-cleanup is found in the yum-utils package.



    3.) After I executed 'yum install gcc-c++-4.1.2-14.el5.x86_64'

    yum install gcc-c++-4.1.2-14.el5.x86_64
    Loaded plugins: rhnplugin, security
    This system is not registered with ULN.
    ULN support will be disabled.
    http://public-yum.oracle.com/repo/OracleLinux/OL5/latest/x86_64/repodata/repomd.xml: [Errno 4] IOError: <urlopen error (110, 'Connection timed out')>
    Trying other mirror.
    Setting up Install Process
    No package gcc-c++-4.1.2-14.el5.x86_64 available.
    Nothing to do



    Regards,
    John
  • 3. Re: Install Oracle eBusiness 12 on Oracle Linux 5.7
    johnwanng Newbie
    Currently Being Moderated
    Hi Hussein,

    Please ignore my last post as I've the wrong proxy setup on the Oracle Linux Guest and after removing it. I was able to download the required rpm. Thanks.

    Regards,
    John

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points